For AI agents: a documentation index is available at https://www.mongodb.com/ja-jp/docs/llms.txt — markdown versions of all pages are available by appending .md to any URL path.

Toggle Telemetry Status

Enable or disable telemetry collection for your Ops Manager installation.

This endpoint requires an API key that has the Global Owner role.

Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/private/v1.0/telemetry

PATCH /collection/status

This endpoint doesn't use HTTP request path parameters.

This endpoint doesn't use HTTP request query parameters.

Name
Type
Necessity
Description

enabled

boolean

required

Set to true to enable telemetry, or false to disable telemetry.

This endpoint returns an empty JSON object.

curl --user "{publicApiKey}:{privateApiKey}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request PATCH "https://<OpsManagerHost>:<Port>/api/private/v1.0/telemetry/collection/status"
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-alive
HTTP/1.1 400 Bad RequestContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}X-MongoDB-Service-Version: gitHash={gitHash};versionString={ApplicationVersion}Content-Length: {requestLengthInBytes}
HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}
{}